[Pkg-drupal-commits] r2119 - in /branches/drupal6/debian: changelog control patches/00list patches/20_drupal_core_updates.dpatch

adedommelin-guest at users.alioth.debian.org adedommelin-guest at users.alioth.debian.org
Wed Feb 10 21:17:58 UTC 2010


Author: adedommelin-guest
Date: Wed Feb 10 21:17:57 2010
New Revision: 2119

URL: http://svn.debian.org/wsvn/pkg-drupal/?sc=1&rev=2119
Log:
Closes #521288 -- drupal6: Warns about security updates


Added:
    branches/drupal6/debian/patches/20_drupal_core_updates.dpatch   (with props)
Modified:
    branches/drupal6/debian/changelog
    branches/drupal6/debian/control
    branches/drupal6/debian/patches/00list

Modified: branches/drupal6/debian/changelog
URL: http://svn.debian.org/wsvn/pkg-drupal/branches/drupal6/debian/changelog?rev=2119&op=diff
==============================================================================
--- branches/drupal6/debian/changelog (original)
+++ branches/drupal6/debian/changelog Wed Feb 10 21:17:57 2010
@@ -1,6 +1,8 @@
 drupal6 (6.15-2) UNRELEASED; urgency=low
 
-  * NOT RELEASED YET
+  [ Alexandre De Dommelin ]
+  * Added patch to remove warnings about Drupal core updates (Closes: #521288)
+  * Bump Standards-Version from 3.8.3 to 3.8.4 (no changes needed)
 
  -- Luigi Gangitano <luigi at debian.org>  Wed, 10 Feb 2010 17:11:35 +0100
 

Modified: branches/drupal6/debian/control
URL: http://svn.debian.org/wsvn/pkg-drupal/branches/drupal6/debian/control?rev=2119&op=diff
==============================================================================
--- branches/drupal6/debian/control (original)
+++ branches/drupal6/debian/control Wed Feb 10 21:17:57 2010
@@ -4,7 +4,7 @@
 Maintainer: Luigi Gangitano <luigi at debian.org>
 Build-Depends: debhelper (>= 7), dpatch
 Homepage: http://www.drupal.org/
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Xs-Vcs-Svn: svn://alioth.debian.org/svn/pkg-drupal/branches/drupal6
 Xs-Vcs-Browser: http://svn.debian.org/wsvn/pkg-drupal/branches/drupal6
 

Modified: branches/drupal6/debian/patches/00list
URL: http://svn.debian.org/wsvn/pkg-drupal/branches/drupal6/debian/patches/00list?rev=2119&op=diff
==============================================================================
--- branches/drupal6/debian/patches/00list (original)
+++ branches/drupal6/debian/patches/00list Wed Feb 10 21:17:57 2010
@@ -1,1 +1,2 @@
 10_cronjob
+20_drupal_core_updates

Added: branches/drupal6/debian/patches/20_drupal_core_updates.dpatch
URL: http://svn.debian.org/wsvn/pkg-drupal/branches/drupal6/debian/patches/20_drupal_core_updates.dpatch?rev=2119&op=file
==============================================================================
--- branches/drupal6/debian/patches/20_drupal_core_updates.dpatch (added)
+++ branches/drupal6/debian/patches/20_drupal_core_updates.dpatch Wed Feb 10 21:17:57 2010
@@ -1,0 +1,79 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## drupal_core_updates.dpatch by Alexandre De Dommelin <adedommelin at tuxz.net>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Remove warnings about available Drupal core updates
+
+ at DPATCH@
+diff -urNad drupal6~/modules/update/update.fetch.inc drupal6/modules/update/update.fetch.inc
+--- drupal6~/modules/update/update.fetch.inc	2010-02-10 17:39:19.000000000 +0100
++++ drupal6/modules/update/update.fetch.inc	2010-02-10 22:09:43.000000000 +0100
+@@ -153,12 +153,10 @@
+   $status = update_requirements('runtime');
+   $params = array();
+   $notify_all = (variable_get('update_notification_threshold', 'all') == 'all');
+-  foreach (array('core', 'contrib') as $report_type) {
+-    $type = 'update_'. $report_type;
+-    if (isset($status[$type]['severity'])
+-        && ($status[$type]['severity'] == REQUIREMENT_ERROR || ($notify_all && $status[$type]['reason'] == UPDATE_NOT_CURRENT))) {
+-      $params[$report_type] = $status[$type]['reason'];
+-    }
++
++  if (isset($status['update_contrib']['severity'])
++      && ($status['update_contrib']['severity'] == REQUIREMENT_ERROR || ($notify_all && $status['update_contrib']['reason'] == UPDATE_NOT_CURRENT))) {
++    $params['contrib'] = $status['update_contrib']['reason'];
+   }
+   if (!empty($params)) {
+     $notify_list = variable_get('update_notify_emails', '');
+diff -urNad drupal6~/modules/update/update.module drupal6/modules/update/update.module
+--- drupal6~/modules/update/update.module	2010-02-10 21:42:41.000000000 +0100
++++ drupal6/modules/update/update.module	2010-02-10 22:07:29.000000000 +0100
+@@ -74,15 +74,13 @@
+     case 'admin/build/modules':
+       include_once './includes/install.inc';
+       $status = update_requirements('runtime');
+-      foreach (array('core', 'contrib') as $report_type) {
+-        $type = 'update_'. $report_type;
+-        if (isset($status[$type]['severity'])) {
+-          if ($status[$type]['severity'] == REQUIREMENT_ERROR) {
+-            drupal_set_message($status[$type]['description'], 'error');
+-          }
+-          elseif ($status[$type]['severity'] == REQUIREMENT_WARNING) {
+-            drupal_set_message($status[$type]['description'], 'warning');
+-          }
++
++      if (isset($status['update_contrib']['severity'])) {
++        if ($status['update_contrib']['severity'] == REQUIREMENT_ERROR) {
++          drupal_set_message($status['update_contrib']['description'], 'error');
++        }
++        elseif ($status['update_contrib']['severity'] == REQUIREMENT_WARNING) {
++          drupal_set_message($status['update_contrib']['description'], 'warning');
+         }
+       }
+       return '<p>'. t('See the <a href="@available_updates">available updates</a> page for information on installed modules and themes with new versions released.', array('@available_updates' => url('admin/reports/updates'))) .'</p>';
+@@ -203,7 +201,7 @@
+       module_load_include('inc', 'update', 'update.compare');
+       $data = update_calculate_project_data($available);
+       // First, populate the requirements for core:
+-      $requirements['update_core'] = _update_requirement_check($data['drupal'], 'core');
++      //$requirements['update_core'] = _update_requirement_check($data['drupal'], 'core');
+       // We don't want to check drupal a second time.
+       unset($data['drupal']);
+       if (!empty($data)) {
+diff -urNad drupal6~/modules/update/update.report.inc drupal6/modules/update/update.report.inc
+--- drupal6~/modules/update/update.report.inc	2010-02-10 21:42:41.000000000 +0100
++++ drupal6/modules/update/update.report.inc	2010-02-10 22:07:29.000000000 +0100
+@@ -223,6 +223,13 @@
+     'disabled-theme' => t('Disabled themes'),
+   );
+   foreach ($project_types as $type_name => $type_label) {
++    if ( $type_name == "core" ) {
++            $deb_message = array( array('class' => 'info','data' => array("Drupal core updates (including security patches) are applied by your sysadmin through the Debian package management system, you don't need to manually download them.")));
++            $output .= "\n<h3>". $type_label ."</h3>\n";
++            $output .= theme('table', $header, $deb_message,array('class' => 'update'));
++            continue;
++    }
++
+     if (!empty($rows[$type_name])) {
+       ksort($rows[$type_name]);
+       $output .= "\n<h3>". $type_label ."</h3>\n";

Propchange: branches/drupal6/debian/patches/20_drupal_core_updates.dpatch
------------------------------------------------------------------------------
    svn:executable = *




More information about the Pkg-drupal-commits mailing list